unit afhelper;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Grids;

{: Check all the coloums of a row and remove the empty rows from a StringGrid}
procedure afStringGridCompactRows(SG: TStringGrid);


implementation

procedure afStringGridCompactRows(SG: TStringGrid);
var
  rowcnt : Integer;
  strcnt : Integer;
  strs : TStrings;
  mark : Boolean;
  str : string;
begin
  for rowcnt := SG.RowCount-1 downto 0 do
  begin
    strs := SG.Rows[rowcnt];
    mark:=false;
    for strcnt := 0 to strs.Count-1 do
    begin
      str := strs[strcnt];
      if str <> '' then
      begin
        mark := true;
        break;
      end;
    end;
    if not mark then
    begin
      SG.DeleteRow(rowcnt);
    end;
  end;
end;


end.

