unit FACTORY_Search;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils
  , tiObject
  , BOM_Search
  , tiLog
  ;

type

{ TSearchFactory }

TSearchFactory = class(TPerObjFactory)
public
  Function   CreateInstance( const pStrClassID : string) : TSearch ; reintroduce ;
end;


function gSearchFactory : TSearchFactory ;


implementation
var
  uSearchFactory : TSearchFactory;

function gSearchFactory: TSearchFactory;
begin
  if uSearchFactory = nil then
    uSearchFactory := TSearchFactory.Create ;
  result := uSearchFactory ;
end;

{ TSearchFactory }

function TSearchFactory.CreateInstance(const pStrClassID: string): TSearch;
begin
  Result := nil;
  Log([ClassName, pStrClassID ], lsDebug);
  if pStrClassID = '' then
    exit; //==>
  Result := TSearch( inherited CreateInstance( pStrClassID )) ;
end;

initialization
 gSearchFactory.RegisterClass('Search', TSearch);

finalization
 uSearchFactory.Free ;


end.

