

unit BOM_Search;
// ---------------------------------------------
// Automated generated 06.09.2016 19:11:17
// Warning: 
//   if you rerun the tool, your changes are lost
// ---------------------------------------------


{$IFDEF FPC}
{$mode objfpc}{$H+}
{$ENDIF}


interface


uses
  SysUtils
  ,tiObject
  ,tiAutoMap
  ,tiOPFManager
  ,tiVisitorDB
  ,tiVisitorCriteria
  ,tiCriteria
  ,tiSQLParser
  ,mapper
  ;

type


  // ---------------------------------------------
  // Generated Classes
  // ---------------------------------------------


  { Generated Class: TSearch}
  TSearch = class(TtiObject)
  protected
    FSearchText: String;
    FResultText: String;
    FCategory: String;
    FSubCategory: String;
    FRemark: String;
    procedure   SetSearchText(const AValue: String); virtual;
    procedure   SetResultText(const AValue: String); virtual;
    procedure   SetCategory(const AValue: String); virtual;
    procedure   SetSubCategory(const AValue: String); virtual;
    procedure   SetRemark(const AValue: String); virtual;
  public
    procedure   Read; override;
    procedure   Save; override;
  published
    property    SearchText: String read FSearchText write SetSearchText;
    property    ResultText: String read FResultText write SetResultText;
    property    Category: String read FCategory write SetCategory;
    property    SubCategory: String read FSubCategory write SetSubCategory;
    property    Remark: String read FRemark write SetRemark;
  end;
  
  { List of TSearch.  TtiMappedFilteredObjectList descendant. }
  TSearchList = class(TtiMappedFilteredObjectList)
  protected
    procedure   SetItems(i: integer; const AValue: TSearch); reintroduce;
    function    GetItems(i: integer): TSearch; reintroduce;
  public
    property    Items[i:integer] : TSearch read GetItems write SetItems;
    procedure   Add(AObject: TSearch); reintroduce;
    procedure   Read; override;
    procedure   Save; override;
    { Return count (1) if successful. }
    function    FindByOID(const AOID: string): integer;
  end;
  
  { Read Visitor for TSearch }
  TSearch_Read = class(TtiVisitorSelect)
  protected
    function    AcceptVisitor: Boolean; override;
    procedure   Init; override;
    procedure   SetupParams; override;
    procedure   MapRowToObject; override;
  end;
  
  { Create Visitor for TSearch }
  TSearch_Create = class(TtiVisitorUpdate)
  protected
    function    AcceptVisitor: Boolean; override;
    procedure   Init; override;
    procedure   SetupParams; override;
  end;
  
  { Update Visitor for TSearch }
  TSearch_Update = class(TtiVisitorUpdate)
  protected
    function    AcceptVisitor: Boolean; override;
    procedure   Init; override;
    procedure   SetupParams; override;
  end;
  
  { Delete Visitor for TSearch }
  TSearch_Delete = class(TtiVisitorUpdate)
  protected
    function    AcceptVisitor: Boolean; override;
    procedure   Init; override;
    procedure   SetupParams; override;
  end;
  
  { List Read Visitor for TSearchList }
  TSearchList_Read = class(TtiVisitorSelect)
  protected
    function    AcceptVisitor: Boolean; override;
    procedure   Init; override;
    procedure   MapRowToObject; override;
  end;
  

  { Visitor Manager Registrations }
  procedure RegisterVisitors;

  { Register Auto Mappings }
  procedure RegisterMappings;


implementation


uses
  tiUtils
  ,tiLog
  ;

procedure RegisterMappings;
begin
  { Automap registrations for TSearch }
  GTIOPFManager.ClassDBMappingMgr.RegisterMapping(TSearch, 
    'Search', 'OID', 'SearchID', [pktDB]);
  GTIOPFManager.ClassDBMappingMgr.RegisterMapping(TSearch,
    'Search','SearchText', 'SearchText');
  GTIOPFManager.ClassDBMappingMgr.RegisterMapping(TSearch,
    'Search','ResultText', 'ResultText');
  GTIOPFManager.ClassDBMappingMgr.RegisterMapping(TSearch,
    'Search','Category', 'Category');
  GTIOPFManager.ClassDBMappingMgr.RegisterMapping(TSearch,
    'Search','SubCategory', 'SubCategory');
  GTIOPFManager.ClassDBMappingMgr.RegisterMapping(TSearch,
    'Search','Remark', 'Remark');
  GTIOPFManager.ClassDBMappingMgr.RegisterCollection(TSearchList, TSearch);
  
end;

procedure RegisterVisitors;
begin
  { NOTE: The most reliable order of registering visitors are
          Read, Delete, Update, Create }
  GTIOPFManager.VisitorManager.RegisterVisitor('LoadSearchList', TSearchList_Read);
  GTIOPFManager.VisitorManager.RegisterVisitor('LoadSearch', TSearch_Read);
  GTIOPFManager.VisitorManager.RegisterVisitor('SaveSearch', TSearch_Delete);
  GTIOPFManager.VisitorManager.RegisterVisitor('SaveSearch', TSearch_Update);
  GTIOPFManager.VisitorManager.RegisterVisitor('SaveSearch', TSearch_Create);
  
end;

procedure TSearch.SetSearchText(const AValue: String);
begin
  if FSearchText = AValue then
    Exit;
  FSearchText := AValue;
end;

procedure TSearch.SetResultText(const AValue: String);
begin
  if FResultText = AValue then
    Exit;
  FResultText := AValue;
end;

procedure TSearch.SetCategory(const AValue: String);
begin
  if FCategory = AValue then
    Exit;
  FCategory := AValue;
end;

procedure TSearch.SetSubCategory(const AValue: String);
begin
  if FSubCategory = AValue then
    Exit;
  FSubCategory := AValue;
end;

procedure TSearch.SetRemark(const AValue: String);
begin
  if FRemark = AValue then
    Exit;
  FRemark := AValue;
end;

procedure TSearch.Read;
begin
  GTIOPFManager.VisitorManager.Execute('LoadSearch', self);
end;

procedure TSearch.Save;
begin
  GTIOPFManager.VisitorManager.Execute('SaveSearch', self);
end;

 {TSearchList }

procedure TSearchList.Add(AObject: TSearch);
begin
  inherited Add(AObject);
end;

function TSearchList.GetItems(i: integer): TSearch;
begin
  result := inherited GetItems(i) as TSearch;
end;

procedure TSearchList.Read;
begin
  GTIOPFManager.VisitorManager.Execute('LoadSearchList', self);
end;

procedure TSearchList.Save;
begin
  GTIOPFManager.VisitorManager.Execute('SaveSearch', self);
end;

procedure TSearchList.SetItems(i: integer; const AValue: TSearch);
begin
  inherited SetItems(i, AValue);
end;

function TSearchList.FindByOID(const AOID: string): integer;
begin
  if self.Count > 0 then
    self.Clear;
    
  Criteria.ClearAll;
  Criteria.AddEqualTo('SearchID', AOID);
  Read;
  result := Count;
end;

{ TSearch_Create }
function TSearch_Create.AcceptVisitor: Boolean;
begin
  result := (Visited is TSearch) and (Visited.ObjectState = posCreate);
  Log([ClassName, Visited.ClassName, Visited.ObjectStateAsString, Result], lsAcceptVisitor);
end;

procedure TSearch_Create.Init;
begin
  Query.SQLText :=
    'INSERT INTO Search(' +
    ' SearchID, ' +
    ' SearchText, ' +
    ' ResultText, ' +
    ' Category, ' +
    ' SubCategory, ' +
    ' Remark' +
    ') VALUES (' +
    ' :SearchID, ' +
    ' :SearchText, ' +
    ' :ResultText, ' +
    ' :Category, ' +
    ' :SubCategory, ' +
    ' :Remark' +
    ') ';
end;

procedure TSearch_Create.SetupParams;
var
  lObj: TSearch;
begin
  lObj := TSearch(Visited);
  lObj.OID.AssignToTIQuery('SearchID',Query);
  Query.ParamAsString['SearchText'] := lObj.SearchText;
  Query.ParamAsString['ResultText'] := lObj.ResultText;
  Query.ParamAsString['Category'] := lObj.Category;
  Query.ParamAsString['SubCategory'] := lObj.SubCategory;
  Query.ParamAsString['Remark'] := lObj.Remark;
end;

{ TSearch_Update }
function TSearch_Update.AcceptVisitor: Boolean;
begin
  result := (Visited is TSearch) and (Visited.ObjectState = posUpdate);
  Log([ClassName, Visited.ClassName, Visited.ObjectStateAsString, Result], lsAcceptVisitor);
end;

procedure TSearch_Update.Init;
begin
  Query.SQLText :=
    'UPDATE Search SET ' +
    ' SearchText = :SearchText, ' +
    ' ResultText = :ResultText, ' +
    ' Category = :Category, ' +
    ' SubCategory = :SubCategory, ' +
    ' Remark = :Remark ' +
    'WHERE SearchID = :SearchID' ;
end;

procedure TSearch_Update.SetupParams;
var
  lObj: TSearch;
begin
  lObj := TSearch(Visited);
  lObj.OID.AssignToTIQuery('SearchID',Query);
  Query.ParamAsString['SearchText'] := lObj.SearchText;
  Query.ParamAsString['ResultText'] := lObj.ResultText;
  Query.ParamAsString['Category'] := lObj.Category;
  Query.ParamAsString['SubCategory'] := lObj.SubCategory;
  Query.ParamAsString['Remark'] := lObj.Remark;
end;

{ TSearch_Read }
function TSearch_Read.AcceptVisitor: Boolean;
begin
  result := (Visited is TSearch) and ((Visited.ObjectState = posPK) OR (Visited.ObjectState = posClean));
  Log([ClassName, Visited.ClassName, Visited.ObjectStateAsString, Result], lsAcceptVisitor);
end;

procedure TSearch_Read.Init;
begin
  Query.SQLText :=
    'SELECT ' +
    ' SearchID, ' +
    ' SearchText, ' +
    ' ResultText, ' +
    ' Category, ' +
    ' SubCategory, ' +
    ' Remark ' +
    'FROM Search WHERE SearchID = :SearchID' ;
end;

procedure TSearch_Read.SetupParams;
var
  lObj: TSearch;
begin
  lObj := TSearch(Visited);
  lObj.OID.AssignToTIQuery('SearchID',Query);
end;

procedure TSearch_Read.MapRowToObject;
var
  lObj: TSearch;
begin
  lObj := TSearch(Visited);
  lObj.OID.AssignFromTIQuery('SearchID',Query);
  lObj.SearchText := Query.FieldAsString['SearchText'];
  lObj.ResultText := Query.FieldAsString['ResultText'];
  lObj.Category := Query.FieldAsString['Category'];
  lObj.SubCategory := Query.FieldAsString['SubCategory'];
  lObj.Remark := Query.FieldAsString['Remark'];
end;

{ TSearch_Delete }
function TSearch_Delete.AcceptVisitor: Boolean;
begin
  result := (Visited is TSearch) and (Visited.ObjectState = posDelete);
  Log([ClassName, Visited.ClassName, Visited.ObjectStateAsString, Result], lsAcceptVisitor);
end;

procedure TSearch_Delete.Init;
begin
  Query.SQLText := 
    'DELETE FROM Search ' +
    'WHERE SearchID = :SearchID';
end;

procedure TSearch_Delete.SetupParams;
var
  lObj: TSearch;
begin
  lObj := TSearch(Visited);
  lObj.OID.AssignToTIQuery('SearchID',Query);
end;

{ TSearchList_Read }
function TSearchList_Read.AcceptVisitor: Boolean;
begin
  result := (Visited.ObjectState = posEmpty);
  Log([ClassName, Visited.ClassName, Visited.ObjectStateAsString, Result], lsAcceptVisitor);
end;

procedure TSearchList_Read.Init;
var
  lFiltered: ItiFiltered;
  lWhere: string;
  lOrder: string;
  lSQL: string;
begin
  if Supports(Visited, ItiFiltered, lFiltered) then
  begin
    if lFiltered.GetCriteria.HasCriteria then
      lWhere := ' WHERE ' + tiCriteriaAsSQL(lFiltered.GetCriteria)
    else
      lWhere := '';
    if lFiltered.GetCriteria.hasOrderBy then
      lOrder := tiCriteriaOrderByAsSQL(lFiltered.GetCriteria)
    else
      lOrder := '';
  end;
  
  lSQL :=
    'SELECT ' +
    ' SearchID, ' +
    ' SearchText, ' +
    ' ResultText, ' +
    ' Category, ' +
    ' SubCategory, ' +
    ' Remark ' +
    'FROM  Search %s %s ;';
  
  Query.SQLText := gFormatSQL(Format(lSQL, [lWhere, lOrder]), TSearch);
  
end;

procedure TSearchList_Read.MapRowToObject;
var
  lObj: TSearch;
begin
  lObj := TSearch.Create;
  lObj.OID.AssignFromTIQuery('SearchID',Query);
  lObj.SearchText := Query.FieldAsString['SearchText'];
  lObj.ResultText := Query.FieldAsString['ResultText'];
  lObj.Category := Query.FieldAsString['Category'];
  lObj.SubCategory := Query.FieldAsString['SubCategory'];
  lObj.Remark := Query.FieldAsString['Remark'];
  lObj.ObjectState := posClean;
  TtiObjectList(Visited).Add(lObj);
end;

initialization
  RegisterVisitors;
  RegisterMappings;


end.
