unit formSearchEdit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, Buttons
  //, DM_MME
  ;

type

  { TFormSearchEdit }

  TFormSearchEdit = class(TForm)
    btUse: TBitBtn;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ComboBox1: TComboBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Panel1: TPanel;
    procedure btUseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    //FDatabase: string;
    function GetBaseText: string;
    function GetCategory: string;
    function GetResultText: string;
    function GetSearchText: string;
    function GetSubCategory: string;
    procedure SetBaseText(AValue: string);
    procedure SetCategory(AValue: string);
    //procedure SetDatabase(AValue: string);
    procedure SetResultText(AValue: string);
    procedure SetSearchText(AValue: string);
    procedure SetSubCategory(AValue: string);
    { private declarations }
  public
    { public declarations }
    property BaseText : string read GetBaseText write SetBaseText;
    property SearchText : string read GetSearchText write SetSearchText;
    property ResultText : string read GetResultText write SetResultText;
    property Category : string read GetCategory write SetCategory;
    property SubCategory : string read GetSubCategory write SetSubCategory;
    //property Database : string read FDatabase write SetDatabase;
  end;


//// Show the form
//procedure ShowSearchEdit;

implementation

//procedure ShowSearchEdit;
//var
//  frm : TFormSearchEdit;
//begin
//  frm := TFormSearchEdit.Create(nil);
//  try
//    frm.ShowModal;
//  finally
//    frm.Free;
//  end;
//end;

{$R *.lfm}

{ TFormSearchEdit }

procedure TFormSearchEdit.FormCreate(Sender: TObject);
begin
  //ComboBox1.Items.Assign(gDmMEE.GetAllCategoryItems);
end;

procedure TFormSearchEdit.btUseClick(Sender: TObject);
//var
//  idx : integer;
//  obj : TObject;
  //mycat : TCategoryItem;
begin
  //idx :=ComboBox1.Items.IndexOf(ComboBox1.Text);
  //obj:= ComboBox1.Items.Objects[idx];
  //if obj is TCategoryItem then
  //begin
  //  mycat := obj as TCategoryItem;
  //  Category:=mycat.Category;
  //  SubCategory:=mycat.SubCategory;
  //end;
end;

function TFormSearchEdit.GetBaseText: string;
begin
  Result := Edit1.Text;
end;

function TFormSearchEdit.GetCategory: string;
begin
  Result := Edit4.Text;
end;

function TFormSearchEdit.GetResultText: string;
begin
  Result := Edit3.Text;
end;

function TFormSearchEdit.GetSearchText: string;
begin
  Result := Edit2.Text;
end;

function TFormSearchEdit.GetSubCategory: string;
begin
  Result := Edit5.Text;
end;

procedure TFormSearchEdit.SetBaseText(AValue: string);
begin
  Edit1.Text:=AValue;
end;

procedure TFormSearchEdit.SetCategory(AValue: string);
begin
  Edit4.Text:=AValue;
end;

//procedure TFormSearchEdit.SetDatabase(AValue: string);
//begin
//  if FDatabase=AValue then Exit;
//  gDmMEE.DBName:= Database;
//  FDatabase:=AValue;
//end;

procedure TFormSearchEdit.SetResultText(AValue: string);
begin
  Edit3.Text:=AValue;
end;

procedure TFormSearchEdit.SetSearchText(AValue: string);
begin
  Edit2.Text:=AValue;
end;

procedure TFormSearchEdit.SetSubCategory(AValue: string);
begin
  Edit5.Text:=AValue;
end;

end.

