program Test_Raikaimporter_work;

{$mode objfpc}{$H+}

uses
  Interfaces, Forms, SysUtils
  , GuiTestRunner
  , tiLog
  , tiLogToFile
//  , tiLogToConsole
  , DBConnect_TST
  , connection_util
  , DBBasicsTestSetup
  , testcheckingbomsearch_tst
  , TestCheckingBOMHash_TST;

{$R *.res}
var
  aFileName : string;

begin
  Application.Initialize;
  aFileName := ExtractFileName(ParamStr(0))+'.log';
//   gLog.RegisterLog(TtiLogToConsole);
  gLog.RegisterLog(TtiLogToFile.CreateWithFileName('.',aFileName,True));
  gLog.SevToLog :=  [
    lsNormal
    ,lsUserInfo
    ,lsObjCreation
    ,lsVisitor
    ,lsConnectionPool
    ,lsAcceptVisitor
    ,lsQueryTiming
    ,lsDebug
    ,lsWarning
    ,lsError
    ,lsSQL
    ];
  Log('Starting', lsNormal);
  with connection_util.mDBConnect do
    begin
      DBPath := IncludeTrailingBackslash(ExtractFileDir(Application.ExeName))+'TestDB.sq3';
      UserName := 'tester'; // meaningless for SQLite
      Password := 'secret'; // meaningless for SQLite
    end;
   Application.CreateForm(TGuiTestRunner, TestRunner);
  Application.Run;
end.

